Package com.independentsoft.office.word.math

# Enum Class BinaryOperatorBreak

java.lang.Object
java.lang.Enum<BinaryOperatorBreak>
com.independentsoft.office.word.math.BinaryOperatorBreak

All Implemented Interfaces:
  `Serializable`, `Comparable<BinaryOperatorBreak>`, `Constable`

public enum BinaryOperatorBreak extends Enum<BinaryOperatorBreak>
The Enum BinaryOperatorBreak.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AFTER`
  `BEFORE`
  `NONE`
  `REPEAT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BinaryOperatorBreak`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static BinaryOperatorBreak[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AFTER

    public static final BinaryOperatorBreak AFTER

  - ### BEFORE

    public static final BinaryOperatorBreak BEFORE

  - ### REPEAT

    public static final BinaryOperatorBreak REPEAT

  - ### NONE

    public static final BinaryOperatorBreak NONE

- ## Method Details

  - ### values

    public static BinaryOperatorBreak[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BinaryOperatorBreak valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null